﻿// UmbracoAcceleratorLite is based on the Windows Azure Accelerator for Umbraco
// project by Microsoft. Original project: http://waacceleratorumbraco.codeplex.com/
//
// Copyright (C) 2012 Gianni Rosa Gallina. All rights reserved.
//
// ----------------------------------------------------------------------------------
// Microsoft Developer & Platform Evangelism
// 
// Copyright (c) Microsoft Corporation. All rights reserved.
// 
// THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
// OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
// ----------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
// ----------------------------------------------------------------------------------

namespace DeployLibrary
{
    using System;

    public class DeployParameters
    {
        public string HostName { get; set; }

        public string PathToUpload { get; set; }

        public bool UseDevelopmentStorage { get; set; }

        public string StorageAccountName { get; set; }

        public string StorageAccountKey { get; set; }

        public bool UpdateHostsFile { get; set; }

        public string IPAddress { get; set; }

        public string IgnorePatterns { get; set; }

        public DateTime LastSyncUTC { get; set; }

        public bool CleanBeforeSync { get; set; }

        public bool IsUploadMode { get; set; }

        public string DBConnectionString { get; set; }
    }
}
